
.wa-widget-container {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 9999;
    font-family: 'Manrope', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.wa-button {
    width: 50px;
    height: 50px;
    background-color: #25d366;
    border: none;
    border-radius: 50%;
    color: white;
    font-size: 24px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    outline: none;
    position: relative;
}

.wa-button:hover {
    transform: scale(1.05);
}

.wa-button.active {
    transform: rotate(90deg);
}

.wa-window {
    position: absolute;
    bottom: 80px;
    right: 0;
    width: 290px;
    background: white;
    border-radius: 20px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);

    visibility: hidden;
    opacity: 0;
    transform: translateY(20px); /* Efecto slide-up */
    transition: all 0.3s ease-in-out;
    overflow: hidden;
}

.wa-window.show {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}

.wa-window-header {
    padding: 24px 24px 15px 24px;
    background-color: #fff;
}

.wa-window-header h3 {
    margin: 0;
    font-family: 'Manrope', sans-serif;
    font-weight: 700;
    font-size: 18px;
    color: var(--blue-dark-color);
}

.wa-list {
    display: flex;
    flex-direction: column;
    padding-bottom: 10px;
}

.wa-item {
    display: flex;
    align-items: center;
    padding: 16px 24px;
    text-decoration: none !important;
    color: var(--dark-color);
    border-top: 1px solid #f0f0f0;
    transition: background-color 0.2s;
}

.wa-item:hover {
    background-color: var(--bg-web-light);
    color: var(--red-color);

}

.wa-item-icon {
    width: 36px;
    height: 36px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 15px;
    color: var(--red-color);
    font-size: 16px;
}

.wa-item-text {
    flex-grow: 1;
    font-family: 'Manrope', sans-serif;
    font-weight: 500;
    font-size: 15px;
}

.wa-item-arrow {
    color: #ccc;
    font-size: 12px;
    transition: transform 0.2s, color 0.2s;
}

.wa-item:hover .wa-item-arrow {
    color: var(--red-color);
    transform: translateX(4px);
}

/* Ajustes Responsive */
@media (max-width: 576px) {
    .wa-widget-container {
        bottom: 20px;
        right: 20px;
    }

    .wa-window {
        width: 260px;
    }
}